org.apache.ignite.internal.visor.node

## Class VisorDataRegionConfiguration

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.node.VisorDataRegionConfiguration

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorDataRegionConfiguration
    extends VisorDataTransferObject

Data transfer object for data region configuration.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3, V4`

### Constructor Summary

Constructors
Constructor and Description
`VisorDataRegionConfiguration()` Default constructor.
`VisorDataRegionConfiguration(DataRegionConfiguration plc)` Constructor.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static List<VisorDataRegionConfiguration>` `from(DataRegionConfiguration[] regCfgs)`
`long` `getCheckpointPageBufferSize()`
`int` `getEmptyPagesPoolSize()`
`double` `getEvictionThreshold()`
`long` `getInitialSize()`
`long` `getMaxSize()`
`long` `getMetricsRateTimeInterval()`
`int` `getMetricsSubIntervalCount()`
`String` `getName()`
`DataPageEvictionMode` `getPageEvictionMode()`
`String` `getSwapPath()`
`boolean` `isMetricsEnabled()`
`boolean` `isPersistenceEnabled()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorDataRegionConfiguration

    public VisorDataRegionConfiguration()

Default constructor.

#### VisorDataRegionConfiguration

    public VisorDataRegionConfiguration(DataRegionConfiguration plc)

Constructor.

Parameters:
  `plc` - Data region configuration.

### Method Detail

#### from

    public static List<VisorDataRegionConfiguration> from(DataRegionConfiguration[] regCfgs)

Parameters:
  `regCfgs` - Array of data region configurations.
Returns:
  Collection of DTO objects.

#### getName

    public String getName()

Returns:
  Unique name of DataRegion.

#### getMaxSize

    public long getMaxSize()

Returns:
  Maximum memory region size defined by this memory policy.

#### getInitialSize

    public long getInitialSize()

Returns:
  Initial memory region size defined by this memory policy.

#### getSwapPath

    public String getSwapPath()

Returns:
  Path for memory mapped file.

#### getPageEvictionMode

    public DataPageEvictionMode getPageEvictionMode()

Returns:
  Memory pages eviction algorithm. `DataPageEvictionMode.DISABLED` used by default.

#### getEvictionThreshold

    public double getEvictionThreshold()

Returns:
  Memory pages eviction threshold.

#### getEmptyPagesPoolSize

    public int getEmptyPagesPoolSize()

Returns:
  Minimum number of empty pages in reuse list.

#### isMetricsEnabled

    public boolean isMetricsEnabled()

Returns:
  Metrics enabled flag.

#### getMetricsSubIntervalCount

    public int getMetricsSubIntervalCount()

Returns:
  Number of sub intervals.

#### getMetricsRateTimeInterval

    public long getMetricsRateTimeInterval()

Returns:
  Time interval over which allocation rate is calculated.

#### isPersistenceEnabled

    public boolean isPersistenceEnabled()

Returns:
  Persistence enabled flag.

#### getCheckpointPageBufferSize

    public long getCheckpointPageBufferSize()

Returns:
  Amount of memory allocated for a checkpoint temporary buffer in bytes.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020